
#pragma once

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif



typedef struct _MD5_CTX
{
	uint32_t state[4];
	uint32_t count[2];
	unsigned char buffer[64];
} MD5_CTX;

void StartMD5(MD5_CTX * context);
void EncodeMD5(MD5_CTX * context, unsigned char * input, int len);
void GetMD5(MD5_CTX * context, unsigned char * result);
void GetMD5String(MD5_CTX * context, char * result, unsigned char mode);


#ifdef __cplusplus
}
#endif

